TTF_AddFallbackFont(3)

NAME
TTF_AddFallbackFont - Add a fallback font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_AddFallbackFont(TTF_Font *font, TTF_Font *fallback);

DESCRIPTION
Add a font that will be used for glyphs that are not in the current font. The fallback font should have the same size and style as the current font.

If there are multiple fallback fonts, they are used in the order added.

This updates any TTF_Text
 objects using this font.

FUNCTION PARAMETERS

font
    the font to modify.

fallback
    the font to add as a fallback.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created both fonts.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_ClearFallbackFonts(3), •(3), TTF_RemoveFallbackFont(3)